Page MenuHomePhabricator

Phabricator has poor contrast, using grey on grey everywhere
Closed, DeclinedPublic

Description

Tasks are very hard and ugly to read, because everything is light grey on slighly lighter grey.

Details

Reference
fl120

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:25 AM
flimport set Reference to fl120.

qgil wrote on 2014-04-22 17:42:56 (UTC)

CSS can be customized:

https://secure.phabricator.com/book/phabcontrib/article/adding_new_css_and_js/

Qgil lowered the priority of this task from Low to Lowest.Oct 22 2014, 10:49 PM
Qgil added a comment.Nov 27 2014, 1:01 PM

I don't think this is being a problem for our users. Proposing to decline this task. T628 would still remain open to discussion.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 27 2014, 1:01 PM

Tasks are very hard and ugly to read, because everything is light grey on slighly lighter grey.

I'm not sure who wrote this, but what is meant by everything? Most text in Phabricator looks black (or very dark grey) on a white background to me.

I agree with @Qgil that this task can probably be resolved/declined if there's not additional information provided here. As it is, this ticket seems almost impossible to work on.

Kghbln added a subscriber: Kghbln.Nov 28 2014, 8:53 PM

Yeah, in general Phabricator just appears like a grey in grey indistinct something. More contrast will be cool.

Qgil closed this task as Declined.Dec 8 2014, 10:24 AM
Qgil claimed this task.

While I see the point of discussing greys on T628, I don't think Phabricator has any problem with contrast of text everywhere. Descriptions and comments use black fonts on top of white background. Titles use dark grey with bold font. Action logs have the relevant info in bold. All in all I don't see a problem other than taste, which is hard to satisfy for everybody.

I'm going to decline this task. If you find specific problems of contrast, please file new tasks specific to them.

Isarra added a subscriber: Isarra.Dec 15 2014, 6:45 PM

Everything I see on this page presenting contrast issues:

  • phabricator-content-source-view ('Via web' etc)
  • Timestamps
  • Quotes
  • timeline-titles (especially when not part of comments)
  • board-links (links in the description area)
  • Some projects (list in the description)
  • phui-timeline-extra (preview label)
  • Footer (already filed)

This may not be everywhere, but it's a pretty long list regardless.

While as a general rule content needs to maintain much higher contrast than miscellaneous interface elements due to their length, and indeed that is the case here (aside from quotes), there still should be a baseline of readability that I don't believe has been met with these other items.

Qgil set Security to None.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM